### Class

# Hinawa FwResp

#### Description [src]

    class Hinawa.FwResp : GObject.Object
    {
      /* No available fields */
    }

A transaction responder for request subaction initiated by node in IEEE 1394 bus. `HinawaFwResp` responds to request subaction initiated by node in IEEE 1394 bus.

#### Ancestors

- GObject

#### Descendants

- HinawaFwFcp

#### Constructors

###### hinawa_fw_resp_new

Instantiate `HinawaFwResp` object and return the instance.

since: 1.3

#### Instance methods

###### hinawa_fw_resp_release

Stop listening to the address range in Linux system for local nodes.

since: 1.4

###### hinawa_fw_resp_reserve

Allocate an address range within Linux system for local nodes, each of which expresses 1394 OHCI hardware. Once successful, `HinawaFwResp::requested` signal will be emitted whenever any request subactions arrive at the 1394 OHCI hardware within the dedicated range.

since: 4.0

###### hinawa_fw_resp_reserve_within_region

Allocate an address range within Linux system for local nodes, each of which expresses 1394 OHCI hardware. Once successful, `HinawaFwResp::requested` signal will be emitted whenever any request subactions arrive at the 1394 OHCI hardware within the dedicated range.

since: 4.0

###### hinawa_fw_resp_set_resp_frame

Register byte frame for the response subaction of transaction.

since: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Hinawa.FwResp:is-reserved

Whether a range of address is reserved or not.

since: 2.0

###### Hinawa.FwResp:offset

The start offset of reserved address range.

since: 2.3

###### Hinawa.FwResp:width

The width of reserved address range.

since: 2.3

#### Signals

###### Hinawa.FwResp::requested

Emitted when any node transfers request subaction to local nodes within the address range reserved in Linux system.

since: 4.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HinawaFwRespClass {
      GObjectClass parent_class;
      HinawaFwRcode (* requested) (
        HinawaFwResp* self,
        HinawaFwTcode tcode,
        guint64 offset,
        guint src_node_id,
        guint dst_node_id,
        guint card_id,
        guint generation,
        guint tstamp,
        const guint8* frame,
        guint length
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`requested: HinawaFwRcode (* requested) ( HinawaFwResp* self, HinawaFwTcode tcode, guint64 offset, guint src_node_id, guint dst_node_id, guint card_id, guint generation, guint tstamp, const guint8* frame, guint length )`

  No description available.

#### Virtual methods

###### Hinawa.FwRespClass.requested

Class closure for the `HinawaFwResp::requested` signal.

since: 4.0